| 0.9.9 API documentation

- Main Page
- Modules
- Files

Functions
GLM_GTX_fast_trigonometry
Experimental extensions

Include <glm/gtx/fast_trigonometry.hpp> to use the features of this extension. More...

## Functions
template<typename T >
GLM_FUNC_DECL T | fastAcos (T angle)
| Faster than the common acos function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastAsin (T angle)
| Faster than the common asin function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastAtan (T y, T x)
| Faster than the common atan function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastAtan (T angle)
| Faster than the common atan function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastCos (T angle)
| Faster than the common cos function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastSin (T angle)
| Faster than the common sin function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastTan (T angle)
| Faster than the common tan function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | wrapAngle (T angle)
| Wrap an angle to [0 2pi[ From GLM_GTX_fast_trigonometry extension. More...

## Detailed Description

Include <glm/gtx/fast_trigonometry.hpp> to use the features of this extension.

Fast but less accurate implementations of trigonometric functions.

## Function Documentation

GLM_FUNC_DECL T glm::fastAcos | ( | T | angle | ) |

Faster than the common acos function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

GLM_FUNC_DECL T glm::fastAsin | ( | T | angle | ) |

Faster than the common asin function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

GLM_FUNC_DECL T glm::fastAtan | ( | T | y,
|  | T | x
| ) |  |

Faster than the common atan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

GLM_FUNC_DECL T glm::fastAtan | ( | T | angle | ) |

Faster than the common atan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

GLM_FUNC_DECL T glm::fastCos | ( | T | angle | ) |

Faster than the common cos function but less accurate.

From GLM_GTX_fast_trigonometry extension.

GLM_FUNC_DECL T glm::fastSin | ( | T | angle | ) |

Faster than the common sin function but less accurate.

From GLM_GTX_fast_trigonometry extension.

GLM_FUNC_DECL T glm::fastTan | ( | T | angle | ) |

Faster than the common tan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

GLM_FUNC_DECL T glm::wrapAngle | ( | T | angle | ) |

Wrap an angle to [0 2pi[ From GLM_GTX_fast_trigonometry extension.